Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(8)

Issue 1643793002: Add policy to restrict client domain for Me2Me. (Closed)

Created:
4 years, 7 months ago by Jamie
Modified:
4 years, 7 months ago
CC:
chromium-reviews, tnagel+watch_chromium.org, chromoting-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Add policy to restrict client domain for Me2Me. BUG=b/19316131 Committed: https://crrev.com/b438fb9de872ad33026f13d0d709461ca91b100a Cr-Commit-Position: refs/heads/master@{#374209}

Patch Set 1 #

Patch Set 2 : Fix presubmit. #

Patch Set 3 : Remove unnecessary guard. #

Patch Set 4 : Use kInvalidDomainError instead of generic kError. #

Total comments: 6

Patch Set 5 : Move client domain check into authenticator factory and implement for Me2Me. #

Patch Set 6 : Revert unneeded change. #

Patch Set 7 : Update policy documentation. #

Total comments: 6

Patch Set 8 : Reviewer feedback. #

Patch Set 9 : Added missing #include. #

Patch Set 10 : Rebase + fix unit test. #

Patch Set 11 : Fix remoting_perftests compile. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+230 lines, -63 lines) Patch
M chrome/test/data/policy/policy_test_cases.json View 1 chunk +3 lines, -0 lines 0 comments Download
M components/policy/resources/policy_templates.json View 1 2 3 4 5 6 7 8 9 3 chunks +25 lines, -2 lines 0 comments Download
M remoting/host/it2me/it2me_host.h View 2 chunks +4 lines, -2 lines 0 comments Download
M remoting/host/it2me/it2me_host.cc View 1 2 3 4 5 3 chunks +20 lines, -1 line 0 comments Download
M remoting/host/policy_watcher.cc View 1 chunk +1 line, -0 lines 0 comments Download
M remoting/host/policy_watcher_unittest.cc View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -0 lines 0 comments Download
M remoting/host/remoting_me2me_host.cc View 1 2 3 4 6 chunks +12 lines, -2 lines 0 comments Download
M remoting/protocol/it2me_host_authenticator_factory.h View 1 2 3 4 2 chunks +3 lines, -1 line 0 comments Download
M remoting/protocol/it2me_host_authenticator_factory.cc View 1 2 3 4 3 chunks +23 lines, -2 lines 0 comments Download
M remoting/protocol/me2me_host_authenticator_factory.h View 1 2 3 4 3 chunks +3 lines, -0 lines 0 comments Download
M remoting/protocol/me2me_host_authenticator_factory.cc View 1 2 3 4 9 chunks +30 lines, -52 lines 0 comments Download
A remoting/protocol/rejecting_authenticator.h View 1 2 3 4 5 6 7 1 chunk +42 lines, -0 lines 0 comments Download
A remoting/protocol/rejecting_authenticator.cc View 1 2 3 4 5 6 7 8 1 chunk +58 lines, -0 lines 0 comments Download
M remoting/remoting_srcs.gypi View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -0 lines 0 comments Download
M remoting/test/protocol_perftest.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -1 line 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -0 lines 0 comments Download

Messages

Total messages: 35 (17 generated)
Jamie
ptal https://codereview.chromium.org/1643793002/diff/60001/components/policy/resources/policy_templates.json File components/policy/resources/policy_templates.json (right): https://codereview.chromium.org/1643793002/diff/60001/components/policy/resources/policy_templates.json#newcode704 components/policy/resources/policy_templates.json:704: 'name': 'RemoteAccessHostClientDomain', I'm not a fan of this ...
4 years, 7 months ago (2016-01-28 01:02:23 UTC) #2
Sergey Ulanov
https://codereview.chromium.org/1643793002/diff/60001/components/policy/resources/policy_templates.json File components/policy/resources/policy_templates.json (right): https://codereview.chromium.org/1643793002/diff/60001/components/policy/resources/policy_templates.json#newcode720 components/policy/resources/policy_templates.json:720: If this setting is disabled or not set, then ...
4 years, 7 months ago (2016-01-28 19:42:46 UTC) #3
Jamie
PTAL https://codereview.chromium.org/1643793002/diff/60001/components/policy/resources/policy_templates.json File components/policy/resources/policy_templates.json (right): https://codereview.chromium.org/1643793002/diff/60001/components/policy/resources/policy_templates.json#newcode720 components/policy/resources/policy_templates.json:720: If this setting is disabled or not set, ...
4 years, 7 months ago (2016-01-29 02:23:27 UTC) #4
Sergey Ulanov
https://codereview.chromium.org/1643793002/diff/120001/remoting/protocol/rejecting_authenticator.h File remoting/protocol/rejecting_authenticator.h (right): https://codereview.chromium.org/1643793002/diff/120001/remoting/protocol/rejecting_authenticator.h#newcode1 remoting/protocol/rejecting_authenticator.h:1: // Copyright 2015 The Chromium Authors. All rights reserved. ...
4 years, 7 months ago (2016-01-29 21:12:14 UTC) #5
Sergey Ulanov
lgtm
4 years, 7 months ago (2016-01-29 21:12:17 UTC) #6
Jamie
sergeyu: FYI bartfab: components/policy/resources/policy_templates.json OWNERS rkaplow: tools/metrics/histograms/histograms.xml OWNERS https://codereview.chromium.org/1643793002/diff/120001/remoting/protocol/rejecting_authenticator.h File remoting/protocol/rejecting_authenticator.h (right): https://codereview.chromium.org/1643793002/diff/120001/remoting/protocol/rejecting_authenticator.h#newcode1 remoting/protocol/rejecting_authenticator.h:1: // ...
4 years, 7 months ago (2016-01-29 23:29:09 UTC) #9
rkaplow
lgtm
4 years, 7 months ago (2016-02-01 14:18:37 UTC) #10
Jamie
tnagel: PTAL at policy_templates.json
4 years, 7 months ago (2016-02-03 00:56:28 UTC) #12
Thiemo Nagel
On 2016/02/03 00:56:28, Jamie wrote: > tnagel: PTAL at policy_templates.json LGTM rubberstamp policy_templates.json
4 years, 7 months ago (2016-02-03 10:40:29 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1643793002/140001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1643793002/140001
4 years, 7 months ago (2016-02-03 17:57:43 UTC) #16
commit-bot: I haz the power
Try jobs failed on following builders: chromeos_daisy_chromium_compile_only_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromeos_daisy_chromium_compile_only_ng/builds/88297) chromeos_x86-generic_chromium_compile_only_ng on tryserver.chromium.linux (JOB_FAILED, ...
4 years, 7 months ago (2016-02-03 18:13:54 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1643793002/160001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1643793002/160001
4 years, 7 months ago (2016-02-03 18:26:07 UTC) #21
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_compile_dbg_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_compile_dbg_ng/builds/45146) linux_chromium_gn_chromeos_rel on tryserver.chromium.linux (JOB_FAILED, ...
4 years, 7 months ago (2016-02-03 18:44:22 UTC) #23
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1643793002/180001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1643793002/180001
4 years, 7 months ago (2016-02-08 20:43:36 UTC) #26
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/177988)
4 years, 7 months ago (2016-02-08 21:18:47 UTC) #28
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1643793002/200001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1643793002/200001
4 years, 7 months ago (2016-02-08 21:35:29 UTC) #31
commit-bot: I haz the power
Committed patchset #11 (id:200001)
4 years, 7 months ago (2016-02-08 23:20:23 UTC) #33
commit-bot: I haz the power
4 years, 7 months ago (2016-02-08 23:21:38 UTC) #35
Message was sent while issue was closed.
Patchset 11 (id:??) landed as
https://crrev.com/b438fb9de872ad33026f13d0d709461ca91b100a
Cr-Commit-Position: refs/heads/master@{#374209}

Powered by Google App Engine
This is Rietveld 408576698